package client.renderer.blockmodel;

import java.util.List;

import client.renderer.texture.TextureAtlasSprite;
import common.model.Transforms;
import common.util.Facing;

public record BuiltInModel(Transforms getTransforms) implements IBakedModel {
	public List<BakedQuad> getFace(Facing face) {
		return null;
	}

	public List<BakedQuad> getQuads() {
		return null;
	}

	public boolean isGui3d() {
		return true;
	}

	public boolean isBuiltin() {
		return true;
	}

	public TextureAtlasSprite getBaseTexture() {
		return null;
	}
}
